Bug 26158 - Z3950 search button broken for translations
Summary: Z3950 search button broken for translations
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Keywords:
Depends on: 23885
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-06 11:26 UTC by Jonathan Druart
Modified: 2020-08-16 22:43 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 26158: Fix Z3950 search button broken for translations (1.79 KB, patch)
2020-08-06 11:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26158: Fix Z3950 search button broken for translations (1.84 KB, patch)
2020-08-06 12:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26158: Fix Z3950 search button broken for translations (1.89 KB, patch)
2020-08-06 15:37 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-08-06 11:26:32 UTC
This is similar to bug 23713

var SEARCH_RESULTS = [% IF (SEARCH_RESULTS) %]1[% ELSE %]0[% END %];

become, once translated:

var SEARCH_RESULTS = [% IF (SEARCH_RESULTS) %]1[% ELSE %][% END %];

and a JS error appears in the console
 Uncaught SyntaxError: expected expression, got ';' search.pl:636:29

Caused by
  commit ef4306cc02e2f15aa2466ae65d0b4f9a1fd70ad9
  Bug 23885: Move staff client search results JavaScript into separate file
Comment 1 Jonathan Druart 2020-08-06 11:31:09 UTC
Created attachment 107876 [details] [review]
Bug 26158: Fix Z3950 search button broken for translations

This is similar to bug 23713

var SEARCH_RESULTS = [% IF (SEARCH_RESULTS) %]1[% ELSE %]0[% END %];

become, once translated:

var SEARCH_RESULTS = [% IF (SEARCH_RESULTS) %]1[% ELSE %][% END %];

and a JS error appears in the console
 Uncaught SyntaxError: expected expression, got ';' search.pl:636:29

Caused by
  commit ef4306cc02e2f15aa2466ae65d0b4f9a1fd70ad9
  Bug 23885: Move staff client search results JavaScript into separate file

Test plan:
Use the staff interface in a translated language
Search for a term that won't return any results
Click the Z3950 button
Comment 2 Owen Leonard 2020-08-06 12:02:40 UTC
Created attachment 107878 [details] [review]
Bug 26158: Fix Z3950 search button broken for translations

This is similar to bug 23713

var SEARCH_RESULTS = [% IF (SEARCH_RESULTS) %]1[% ELSE %]0[% END %];

become, once translated:

var SEARCH_RESULTS = [% IF (SEARCH_RESULTS) %]1[% ELSE %][% END %];

and a JS error appears in the console
 Uncaught SyntaxError: expected expression, got ';' search.pl:636:29

Caused by
  commit ef4306cc02e2f15aa2466ae65d0b4f9a1fd70ad9
  Bug 23885: Move staff client search results JavaScript into separate file

Test plan:
Use the staff interface in a translated language
Search for a term that won't return any results
Click the Z3950 button

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Josef Moravec 2020-08-06 15:37:59 UTC
Created attachment 107898 [details] [review]
Bug 26158: Fix Z3950 search button broken for translations

This is similar to bug 23713

var SEARCH_RESULTS = [% IF (SEARCH_RESULTS) %]1[% ELSE %]0[% END %];

become, once translated:

var SEARCH_RESULTS = [% IF (SEARCH_RESULTS) %]1[% ELSE %][% END %];

and a JS error appears in the console
 Uncaught SyntaxError: expected expression, got ';' search.pl:636:29

Caused by
  commit ef4306cc02e2f15aa2466ae65d0b4f9a1fd70ad9
  Bug 23885: Move staff client search results JavaScript into separate file

Test plan:
Use the staff interface in a translated language
Search for a term that won't return any results
Click the Z3950 button

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2020-08-07 14:56:19 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-14 21:33:36 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-16 22:43:34 UTC
missing dependencies, not backported to 19.11.x